%define anolis_release 1

Name:          libXaw
Summary:       X Athena Widget Set
Version:       1.0.15
Release:       %{anolis_release}%{?dist}
License:       MIT
URL:           http://www.x.org

Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xorg-macros) >= 1.12
BuildRequires: pkgconfig(xpm)
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xt)
BuildRequires: xorg-x11-util-macros xmlto lynx

%description
Xaw is a widget set based on the X Toolkit Intrinsics (Xt) Library.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXaw development package

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{version}-%{release}

%description doc
X.Org X11 libXaw doc package

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
            --docdir=%{_pkgdocdir} \
	    --disable-xaw8 --disable-static \
	    --disable-xaw6 \
	    --without-fop --without-xmlto
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libXaw.so.*
%{_libdir}/libXaw7.so.*
%{abidir}/*.dump

%files devel
%dir %{_includedir}/X11/Xaw
%{_includedir}/X11/Xaw/*.h
%{_includedir}/X11/Xaw/Template.c
%{_libdir}/libXaw.so
%{_libdir}/libXaw7.so
%{_libdir}/pkgconfig/xaw7.pc
%{_mandir}/man3/*.3*
%{_pkgdocdir}/*.xml

%files doc
%doc README.md ChangeLog

%changelog
* Sat Mar 18 2023 Funda Wang <fundawang@yeah.net> - 1.0.15-1
- New version 1.0.15

* Fri Jul 22 2022 happy_orange <songnannan@linux.alibaba.com> - 1.0.14-1
- Init pacakge from upstream
